ORIGIN_SUFFIX = "-origin"

def plan(state, goal):
    """Dummy planner that returns hardcoded plans.

    Use goals of the form ("Execute", "behavior", "argument") to test the fuzzy controller.
    """
    print("Goal:", goal)
    loc = goal[1]
    if goal[0] == "Execute":
        return [(goal[1], goal[2])]
    elif loc == "table1":
        return [
            ("GoTo", "table1"),
        ]
    elif loc == "bed1":
        return [
            ("GoTo", "door2"),
            ("Open", "door2"),
            ("Cross", "door2"),
            ("GoTo", "bed1"),
        ]
    elif loc == "fridge1":
        return [
            ("GoTo", "door1"),
            ("Open", "door1"),
            ("Cross", "door1"),
            ("GoTo", "door4"),
            ("Open", "door4"),
            ("Cross", "door4"),
            ("GoTo", "fridge1"),
        ]
    elif loc == "box1":
        return [
            ("GoTo", "door2"),
            ("Open", "door2"),
            ("Cross", "door2"),
            ("GoTo", "box1"),
            ("Pick", "box1"),
            ("GoTo", "door3"),
            ("Open", "door3"),
            ("Cross", "door3"),
            ("GoTo", "door4"),
            ("Open", "door4"),
            ("Cross", "door4"),
            ("GoTo", "fridge1"),
            ("Place", "box1"),
        ]
    elif loc == "box2":
        return [
            ("GoTo", "box2"),
            ("Pick", "box2"),
            ("GoTo", "door2"),
            ("Open", "door2"),
            ("Cross", "door2"),
            ("GoTo", "bed1"),
            ("Place", "box2"),
        ]
    elif loc == "box3":
        return [
            ("GoTo", "box3"),
            ("Pick", "box3"),
            ("GoTo", "door2"),
            ("Open", "door2"),
            ("Cross", "door2"),
            ("GoTo", "bed1"),
            ("Place", "box3"),
        ]
    else:
        raise ValueError("Unknown goal location: " + loc)
