import json


class State:
    def __init__(self):
        self.pos = {}           # map all objects (and robot) to a landmark name
        self.room = {}          # map all objects (and robot) to a room
        self.door = {}          # map each door to its status: "closed" or "open"
        self.connects = {}      # map each door to the pair of rooms that it connects
        self.carrying = None    # object that the robot is carrying

    def __str__(self):
        info = {
            "pos": self.pos,
            "room": self.room,
            "door": self.door,
            "connects": self.connects,
            "carrying": self.carrying
        }
        return json.dumps(info, indent=2, sort_keys=True)

